---
title: Get information about a "A/B test" node of a Smart Campaign
slug: campaign/api/get-information-about-a-ab-test-node-of-a-smart-campaign
docTags: 
createdAt: 2026-09-02T15:04:15.718Z
---

{
  "id": "1zVyCNnIihamT31S6zrHI",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.campaign.episerver.net/rest/{clientId}/smartcampaigns/{campaignId}/abtest",
    "servers": [
      {
        "url": "https://api.campaign.episerver.net/rest/{clientId}/smartcampaigns/{campaignId}/abtest"
      }
    ],
    "name": "Get information about a \"A/B test\" node of a Smart Campaign",
    "description": "<p>Get detailed information about a \"A/B test\" node of a Smart Campaign, such as mode (e.g. best open rate, best click rate), scheduled time or fallback.</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "clientId",
          "type": "string",
          "description": "Client ID"
        },
        {
          "kind": "required",
          "name": "campaignId",
          "type": "integer<int64>",
          "description": "Smart Campaign ID",
          "format": "int64"
        }
      ],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json",
            "application/vnd.optivo.broadmail.v1+json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "Authorization",
          "name": "Authorization",
          "kind": "optional",
          "type": "apiKey",
          "in": "header"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "<p>The \"A/B test\" node was retrieved successfully (empty response if no \"A/B test\" node was found).</p>",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "RestSplitNode",
            "schema": [
              {
                "name": "nodeId",
                "kind": "optional",
                "type": "string",
                "description": "Node ID"
              },
              {
                "name": "optimization",
                "kind": "optional",
                "type": "object",
                "description": "",
                "modelRef": "#/components/schemas/RestSplitOptimization",
                "customType": "RestSplitOptimization",
                "schema": [
                  {
                    "name": "enabled",
                    "kind": "optional",
                    "type": "boolean",
                    "description": "<p>If true, automatic optimization is enabled</p>"
                  },
                  {
                    "name": "mode",
                    "kind": "optional",
                    "type": "string<bestOpenRate | bestUniqueClickRate | bestClickRate | lowestUniqueUnsubscribe | lowestBounceRate | byPostClickValue>",
                    "description": "Optimization mode",
                    "enum": [
                      "bestOpenRate",
                      "bestUniqueClickRate",
                      "bestClickRate",
                      "lowestUniqueUnsubscribe",
                      "lowestBounceRate",
                      "byPostClickValue"
                    ]
                  },
                  {
                    "name": "scheduledAt",
                    "kind": "optional",
                    "type": "string<date-time>",
                    "description": "Scheduled dispatch time",
                    "format": "date-time"
                  },
                  {
                    "name": "sto",
                    "kind": "optional",
                    "type": "object",
                    "description": "Send time optimization settings",
                    "modelRef": "#/components/schemas/RestPersonalizedSchedule",
                    "customType": "RestPersonalizedSchedule",
                    "schema": [
                      {
                        "name": "enabled",
                        "kind": "optional",
                        "type": "boolean",
                        "description": "<p>If true, send time optimization is enabled</p>"
                      },
                      {
                        "name": "type",
                        "kind": "optional",
                        "type": "string<DAY | WEEK>",
                        "description": "Period of time that is used for optimizing the sending of messages",
                        "enum": [
                          "DAY",
                          "WEEK"
                        ]
                      },
                      {
                        "name": "fallbackAt",
                        "kind": "optional",
                        "type": "string<date-time>",
                        "description": "Fallback time",
                        "format": "date-time"
                      },
                      {
                        "name": "optimizationEndsAt",
                        "kind": "optional",
                        "type": "string<date-time>",
                        "description": "End time",
                        "format": "date-time"
                      },
                      {
                        "name": "period",
                        "kind": "optional",
                        "type": "object",
                        "description": "Delay time",
                        "modelRef": "#/components/schemas/RestDelay",
                        "customType": "RestDelay",
                        "schema": [
                          {
                            "name": "days",
                            "kind": "optional",
                            "type": "integer<int32>",
                            "description": "",
                            "format": "int32"
                          },
                          {
                            "name": "hours",
                            "kind": "optional",
                            "type": "integer<int32>",
                            "description": "",
                            "format": "int32"
                          },
                          {
                            "name": "minutes",
                            "kind": "optional",
                            "type": "integer<int32>",
                            "description": "",
                            "format": "int32"
                          }
                        ]
                      }
                    ]
                  },
                  {
                    "name": "scheduledWithDelay",
                    "kind": "optional",
                    "type": "object",
                    "description": "Delay time",
                    "modelRef": "#/components/schemas/RestDelay",
                    "customType": "RestDelay",
                    "schema": [
                      {
                        "name": "days",
                        "kind": "optional",
                        "type": "integer<int32>",
                        "description": "",
                        "format": "int32"
                      },
                      {
                        "name": "hours",
                        "kind": "optional",
                        "type": "integer<int32>",
                        "description": "",
                        "format": "int32"
                      },
                      {
                        "name": "minutes",
                        "kind": "optional",
                        "type": "integer<int32>",
                        "description": "",
                        "format": "int32"
                      }
                    ]
                  },
                  {
                    "name": "scheduledManually",
                    "kind": "optional",
                    "type": "boolean",
                    "description": "<p>If true, the optimization is started manually</p>"
                  }
                ]
              },
              {
                "name": "successors",
                "kind": "optional",
                "type": "array",
                "description": "",
                "modelRef": "#/components/schemas/RestSplitSuccessor",
                "customType": "RestSplitSuccessor[]",
                "schema": [
                  {
                    "name": "nodeId",
                    "kind": "optional",
                    "type": "string",
                    "description": "Node ID"
                  },
                  {
                    "name": "name",
                    "kind": "optional",
                    "type": "string",
                    "description": "Node name"
                  },
                  {
                    "name": "targetGroup",
                    "kind": "optional",
                    "type": "object",
                    "description": "",
                    "modelRef": "#/components/schemas/Filter",
                    "customType": "Filter",
                    "schema": [
                      {
                        "name": "name",
                        "kind": "optional",
                        "type": "string",
                        "description": ""
                      }
                    ]
                  },
                  {
                    "name": "relative",
                    "kind": "optional",
                    "type": "number<float>",
                    "description": "Number of relative recipients in percent",
                    "format": "float"
                  },
                  {
                    "name": "absolute",
                    "kind": "optional",
                    "type": "integer<int32>",
                    "description": "Number of absolute recipients",
                    "format": "int32"
                  },
                  {
                    "name": "links",
                    "kind": "optional",
                    "type": "array",
                    "description": "",
                    "example": "",
                    "itemType": "object",
                    "customType": "object[]",
                    "schema": [
                      {
                        "name": "uriBuilder",
                        "kind": "optional",
                        "type": "object",
                        "description": "",
                        "example": "",
                        "schema": []
                      },
                      {
                        "name": "rels",
                        "kind": "optional",
                        "type": "array",
                        "description": "",
                        "example": "",
                        "itemType": "string",
                        "customType": "string[]",
                        "itemExample": "",
                        "itemDefault": ""
                      },
                      {
                        "name": "rel",
                        "kind": "optional",
                        "type": "string",
                        "description": ""
                      },
                      {
                        "name": "type",
                        "kind": "optional",
                        "type": "string",
                        "description": ""
                      },
                      {
                        "name": "params",
                        "kind": "optional",
                        "type": "map",
                        "description": "",
                        "example": "",
                        "customType": "map<string, string>",
                        "schema": []
                      },
                      {
                        "name": "title",
                        "kind": "optional",
                        "type": "string",
                        "description": ""
                      },
                      {
                        "name": "uri",
                        "kind": "optional",
                        "type": "string<uri>",
                        "description": "",
                        "format": "uri"
                      }
                    ]
                  }
                ]
              },
              {
                "name": "links",
                "kind": "optional",
                "type": "array",
                "description": "Links for further requests",
                "example": "",
                "itemType": "object",
                "customType": "object[]",
                "schema": [
                  {
                    "name": "uriBuilder",
                    "kind": "optional",
                    "type": "object",
                    "description": "",
                    "example": "",
                    "schema": []
                  },
                  {
                    "name": "rels",
                    "kind": "optional",
                    "type": "array",
                    "description": "",
                    "example": "",
                    "itemType": "string",
                    "customType": "string[]",
                    "itemExample": "",
                    "itemDefault": ""
                  },
                  {
                    "name": "rel",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "type",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "params",
                    "kind": "optional",
                    "type": "map",
                    "description": "",
                    "example": "",
                    "customType": "map<string, string>",
                    "schema": []
                  },
                  {
                    "name": "title",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "uri",
                    "kind": "optional",
                    "type": "string<uri>",
                    "description": "",
                    "format": "uri"
                  }
                ]
              },
              {
                "name": "gridLocation",
                "kind": "optional",
                "type": "object",
                "description": "Grid location point",
                "modelRef": "#/components/schemas/Point",
                "customType": "Point",
                "schema": [
                  {
                    "name": "x",
                    "kind": "optional",
                    "type": "integer<int32>",
                    "description": "",
                    "format": "int32"
                  },
                  {
                    "name": "y",
                    "kind": "optional",
                    "type": "integer<int32>",
                    "description": "",
                    "format": "int32"
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/RestSplitNode",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "404",
        "description": "<p>The \"A/B test\" node could not be found in the Smart Campaign. Ensure that the required parameters such as \"campaignId\" are correct and the \"A/B test\" node exists.</p>",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "nGY8gqRFoIOVM50s77uxP",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://api.campaign.episerver.net/rest/{clientId}/smartcampaigns/{campaignId}/abtest \\\n     --header 'accept: application/json'"
        },
        {
          "id": "48j-lnuuMEkbPLLNqIT1r",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.campaign.episerver.net/rest/{clientId}/smartcampaigns/{campaignId}/abtest\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "OlVvVlM49OvWLi-Ahgo3b",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.campaign.episerver.net/rest/{clientId}/smartcampaigns/{campaignId}/abtest\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "P64VqbMHmjcA3TyIVnUjv",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.campaign.episerver.net/rest/{clientId}/smartcampaigns/{campaignId}/abtest\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "nGY8gqRFoIOVM50s77uxP"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// The \"A/B test\" node was retrieved successfully (empty response if no \"A/B test\" node was found).\n{\n  \"nodeId\": \"\",\n  \"optimization\": {\n    \"enabled\": false,\n    \"mode\": \"\",\n    \"scheduledAt\": \"\",\n    \"sto\": {\n      \"enabled\": false,\n      \"type\": \"\",\n      \"fallbackAt\": \"\",\n      \"optimizationEndsAt\": \"\",\n      \"period\": {\n        \"days\": \"\",\n        \"hours\": \"\",\n        \"minutes\": \"\"\n      }\n    },\n    \"scheduledWithDelay\": {\n      \"days\": \"\",\n      \"hours\": \"\",\n      \"minutes\": \"\"\n    },\n    \"scheduledManually\": false\n  },\n  \"successors\": [\n    {\n      \"nodeId\": \"\",\n      \"name\": \"\",\n      \"targetGroup\": {\n        \"name\": \"\"\n      },\n      \"relative\": \"\",\n      \"absolute\": \"\",\n      \"links\": [\n        {\n          \"uriBuilder\": {},\n          \"rels\": [\n            \"\"\n          ],\n          \"rel\": \"\",\n          \"type\": \"\",\n          \"params\": \"\",\n          \"title\": \"\",\n          \"uri\": \"\"\n        }\n      ]\n    }\n  ],\n  \"links\": [\n    {\n      \"uriBuilder\": {},\n      \"rels\": [\n        \"\"\n      ],\n      \"rel\": \"\",\n      \"type\": \"\",\n      \"params\": \"\",\n      \"title\": \"\",\n      \"uri\": \"\"\n    }\n  ],\n  \"gridLocation\": {\n    \"x\": \"\",\n    \"y\": \"\"\n  }\n}"
        },
        {
          "id": "response-1-404",
          "language": "404",
          "code": "// The \"A/B test\" node could not be found in the Smart Campaign. Ensure that the required parameters such as \"campaignId\" are correct and the \"A/B test\" node exists.\n"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}